%define        amule_ver %(echo %version | cut -d. -f3-5)
%define        adunanza_ver %(echo %version | cut -d. -f1-2)
Name:          amule-adunanza
Epoch:         1
Version:       2012.1.2.3.1
Release:       3mamba
Summary:       An eMule-like client for the eD2k and Kademlia file sharing networks
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.adunanza.net
Source:        http://downloads.sourceforge.net/project/amule-adunanza/aMule-AdunanzA/Stable/aMule-AdunanzA-%{adunanza_ver}-%{amule_ver}.tar.bz2
Patch0:        amuleadunanza3.11b1.patch.gz
Patch1:        aMule-2.1.3-wx.patch
Patch2:        aMule-2.1.3-servers.patch
Patch3:        aMule-AdunanzA-3.14b3-glib-2.8.10.patch
Patch4:        %{name}-2010.1.2.2.6-gcc45.patch
Patch5:        amule-adunanza-2010.1.2.2.6-gcc-4.7.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGeoIP-devel
BuildRequires: libX11-devel
BuildRequires: libXpm-devel
BuildRequires: libbinutils-devel
BuildRequires: libcryptopp-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgd-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libreadline-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtermcap-devel
BuildRequires: libtiff-devel
BuildRequires: libupnp-devel
BuildRequires: libvpx-devel
BuildRequires: libwxBase-unicode-devel
BuildRequires: libwxGTK-unicode-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libbinutils-devel >= 2.26-2mamba
BuildRequires: gettext-devel
BuildRequires: libcurl-devel >= 7.12.0
BuildRequires: libcryptopp-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Requires:      xchat >= 2.6.6
Provides:      aMule-adunanza
Obsoletes:     aMule-adunanza
Provides:      aMule-AdunanzA
Obsoletes:     aMule-AdunanzA

%description
aMule is an eMule-like client for the eD2k and Kademlia networks, supporting multiple platforms.
Adunanza is a special patched release specially made for use inside italian Fastweb networks.

%package webserver
Summary:       Webserver files for %{name}
Group:         Applications/Web
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      aMule-AdunanzA-webserver
Obsoletes:     aMule-AdunanzA-webserver

%description webserver
aMule is an eMule-like client for the eD2k and Kademlia networks, supporting multiple platforms.
Adunanza is a special patched release specially made for use inside italian Fastweb networks.

This package contains the webserver files.

%package doc
Summary:       Webserver files for %{name}
Group:         Documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      aMule-AdunanzA-doc
Obsoletes:     aMule-AdunanzA-doc

%description doc
aMule is an eMule-like client for the eD2k and Kademlia networks, supporting multiple platforms.
Adunanza is a special patched release specially made for use inside italian Fastweb networks.

This package contains the documentation files.

%prep
%setup -q -n aMule-AdunanzA-%{adunanza_ver}-%{amule_ver}
#-n aMule-%{amule_ver}
#%patch1 -p1
#%patch0 -p1
#%patch2 -p1
%patch3 -p1
#%patch4 -p1
#%patch5 -p1

%build
%configure \
   --disable-debug \
   --enable-optimize \
   --enable-amule-gui \
   --enable-webserver \
   --enable-webservergui \
   --enable-cas \
   --enable-wxcas \
   --enable-alc \
   --enable-alcc \
   --enable-amule-daemon \
   --enable-amulecmd \
   --enable-amulecmdgui \
   --enable-geoip \
   --program-suffix=-adunanza \
   --with-wx-config=/usr/bin/wx-config-unicode \
   PACKAGE_NAME=aMule-AdunanzA

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#mv %{buildroot}%{_datadir}/applications/amule.desktop %{buildroot}%{_datadir}/applications/amule-adunanza.desktop
#mv %{buildroot}%{_datadir}/applications/amulegui.desktop %{buildroot}%{_datadir}/applications/amulegui-adunanza.desktop
sed -i "s|Exec=amule|Exec=amule-adunanza|" %{buildroot}%{_datadir}/applications/amuleadunanza.desktop
sed -i "s|Exec=amulegui|Exec=amulegui-adunanza|" %{buildroot}%{_datadir}/applications/amuleguiadunanza.desktop
#rm -fr %{buildroot}%{_datadir}/doc/aMule-%{amule_ver}

%find_lang amuleadunanza

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f amuleadunanza.lang
%defattr(-,root,root,-)
%{_bindir}/*
#%{_libdir}/xchat/plugins/xasAdunanzA.pl
%{_datadir}/applications/*.desktop
# avoid conlict with aMule package
%{_datadir}/pixmaps/*
%dir %{_datadir}/amuleadunanza
%dir %{_datadir}/amuleadunanza/skins
%{_datadir}/amuleadunanza/skins/*.zip
%{_mandir}/man1/*
%{_mandir}/*/man1/*

%files webserver
%defattr(-,root,root,-)
%dir %{_datadir}/amuleadunanza/webserver
%{_datadir}/amuleadunanza/webserver/*
%dir %{_datadir}/casAdunanzA/
%{_datadir}/casAdunanzA/*

%files doc
%defattr(-,root,root,-)
%{_datadir}/doc/amuleadunanza/*
%doc docs/Changelog docs/EC_Protocol.txt
%doc docs/README docs/amulesig.txt docs/license.txt

%changelog
* Fri Jan 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2012.1.2.3.1-3mamba
- rebuilt by autoport with build requirements: libbinutils-devel>=2.26-2mamba

* Fri Jul 31 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2012.1.2.3.1-2mamba
- rebuilt by autoport with build requirements: libbinutils-devel>=2.25.1-1mamba

* Tue May 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2012.1.2.3.1-1mamba
- update to 2012.1.2.3.1

* Fri Dec 13 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2010.1.2.2.6-11mamba
- rebuilt with binutils 2.24

* Wed Mar 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2010.1.2.2.6-10mamba
- binutils 2.32.2 rebuild

* Mon Nov 19 2012 Automatic Build System <autodist@mambasoft.it> 2010.1.2.2.6-9mamba
- binutils 2.23.1 mass rebuild

* Mon Oct 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2010.1.2.2.6-8mamba
- rebuild with binutils 2.23

* Wed Nov 30 2011 Automatic Build System <autodist@mambasoft.it> 2010.1.2.2.6-7mamba
- automatic update by autodist

* Mon Nov 28 2011 Automatic Build System <autodist@mambasoft.it> 2010.1.2.2.6-6mamba
- automatic update by autodist

* Wed Jul 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2010.1.2.2.6-5mamba
- rebuilt with binutils 2.21.1

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 2010.1.2.2.6-4mamba
- automatic update by autodist

* Sun Dec 26 2010 Automatic Build System <autodist@mambasoft.it> 2010.1.2.2.6-3mamba
- automatic update by autodist

* Fri Nov 12 2010 Automatic Build System <autodist@mambasoft.it> 2010.1.2.2.6-2mamba
- automatic rebuild by autodist

* Sat Oct 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2010.1.2.2.6-1mamba
- update to 2010.1.2.2.6

* Sat Mar 06 2010 Automatic Build System <autodist@mambasoft.it> 3.14b3.2.2.2-5mamba
- automatic rebuild by autodist

* Thu Oct 22 2009 Automatic Build System <autodist@mambasoft.it> 3.14b3.2.2.2-4mamba
- automatic rebuild by autodist

* Fri Feb 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14b3.2.2.2-3mamba
- automatic rebuild by autodist

* Thu Dec 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14b3.2.2.2-2mamba
- fixed desktop entry: launch amule-adunanza

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14b3.2.2.2-1mamba
- update to 2.2.2

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20080430-3mamba
- removed conflicts with amule to allow cohexistence
- added webserver and doc subpackages

* Fri Oct 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20080430-2mamba
- automatic rebuild by autodist

* Sat Sep 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20080430-1mamba
- update to 20080430
- renamed to amule-adunanza

* Wed Nov 28 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.11b1-5mamba
- rebuilt against libbinutils 2.18

* Thu Sep 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.11b1-4mamba
- added patch for glib 2.14
- added patch for wxGTK 2.8

* Mon Oct 30 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.11b1-3qilnx
- rebuilt

* Wed Sep 06 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.11b1-2qilnx
- rebuilt

* Sun Jul 30 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.11b1-1qilnx
- first adunanza build based on aMule 2.1.3
